Export a lead's status history
curl --request GET \
--url https://api.leadping.ai/leads/{leadId}/status-history/exportimport requests
url = "https://api.leadping.ai/leads/{leadId}/status-history/export"
response = requests.get(url)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.leadping.ai/leads/{leadId}/status-history/export");
var client = new RestClient(options);
var request = new RestRequest("");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.leadping.ai/leads/{leadId}/status-history/export")
.asString();const options = {method: 'GET'};
fetch('https://api.leadping.ai/leads/{leadId}/status-history/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.leadping.ai/leads/{leadId}/status-history/export"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.leadping.ai/leads/{leadId}/status-history/export",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"fileName": "<string>",
"contentType": "<string>",
"csv": "<string>",
"rows": [
{
"leadId": "<string>",
"leadStatusChangeId": "<string>",
"type": "<string>",
"outcome": "<string>",
"oldLeadStatusChangeId": "<string>",
"oldLeadStatusChangeType": "<string>",
"oldLeadStatusChangeOutcome": "<string>",
"newLeadStatusChangeId": "<string>",
"changedByUserId": "<string>",
"changedByAutomationId": "<string>",
"changedAt": "2023-11-07T05:31:56Z",
"reason": "<string>",
"followUpStatus": "<string>",
"callbackAt": "2023-11-07T05:31:56Z",
"taskDueAt": "2023-11-07T05:31:56Z",
"appointmentStartAt": "2023-11-07T05:31:56Z",
"appointmentEndAt": "2023-11-07T05:31:56Z",
"assignedToUserId": "<string>",
"sourceId": "<string>",
"relatedCallEventId": "<string>",
"isMissedCallFollowUp": true,
"notes": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}LeadStatusChanges
Export a lead's status history
Exports lead status change data for one lead, packaging outcome history for reporting, audit review, or handoff workflows.
GET
/
leads
/
{leadId}
/
status-history
/
export
Export a lead's status history
Path Parameters
The lead identifier.
Response
Returns the lead status change export response.
API response containing lead status change export data returned to callers.
The file name value for this lead status change export.
The content type classification for this lead status change export.
The csv value for this lead status change export.
The rows included with this lead status change export.
Show child attributes
Show child attributes
⌘I

